function showThumbnail(photoname, categoryName, addToHistory)
{
	if (addToHistory)
		addHistory("thumbnail~" + photoname + "~" + categoryName);
		
	//var photoname = photo;
	var thumbnail = document.getElementById("thumbnail");
	thumbnail.innerHTML = "";
	
	var fullhref = "Pix/" + categoryName + "/" + photoname;
	var a = document.createElement("a");
	a.href="#";
	a.onclick = function(){return createDialog(fullhref, photoname, categoryName, true);};
	
	var image = document.createElement("img");
	image.src = "http://ajaxref.com/ch8/thumbnail.php?file=" + fullhref;
	image.border = "0";
	image.alt = "Turn on images to view Lightbox Example";
	image.title = "Click me to see Lightbox";
	
	a.appendChild(image);
	thumbnail.appendChild(a);
	
	return false;
}

function removeFiles()
{
	var fileList = document.getElementById("fileList");
	fileList.innerHTML = "";
}

function removeThumbnail()
{
	var thumbnail = document.getElementById("thumbnail");
	thumbnail.innerHTML = "";
}


function createXHR()
{
   try { return new XMLHttpRequest(); } catch(e) {}
   try { return new ActiveXObject("Msxml2.XMLHTTP.6.0"); } catch (e) {}
   try { return new ActiveXObject("Msxml2.XMLHTTP.3.0"); } catch (e) {}
   try { return new ActiveXObject("Msxml2.XMLHTTP"); } catch (e) {}
   try { return new ActiveXObject("Microsoft.XMLHTTP"); } catch (e) {}

   return null;
}


function sendRequest(url, payload, categoryName, callback)
{
	var xhr = createXHR();
    if (xhr)
    {
		xhr.open("GET", url + "?" + payload, true);
	 	xhr.onreadystatechange = function(){callback(xhr, categoryName);};
     	xhr.send(null);
	}
}


function handlePhotosResponse(xhr, categoryName)
{
    if (xhr.readyState == 4 && xhr.status == "200")
	{
		var photos = AjaxTCR.JSON.decode(xhr.responseText);
		var fileList = document.getElementById("fileList");
		fileList.innerHTML = "";
		
		if (photos)
		{
			for (var i=0;i<photos.length;i++)
			{
				var a = document.createElement("a");
				a.href = "#";
				a.onclick = function(){return showThumbnail(this.innerHTML, categoryName, true);}
				a.appendChild(document.createTextNode(photos[i]));
				fileList.appendChild(a);
				fileList.appendChild(document.createElement("br"));
			}
		}
	}
}

function handleCategoriesResponse(xhr)
{
	if (xhr.readyState == 4 && xhr.status == "200")
	{
		var categories = AjaxTCR.JSON.decode(xhr.responseText);
		var categoryList = document.getElementById("categoryList");
		
		if (categories)
		{
			for (var i=0;i<categories.length;i++)
			{
				var a = document.createElement("a");
				a.href = "#";
				a.onclick = function(){return selectFiles(this.innerHTML, true);};
				a.appendChild(document.createTextNode(categories[i]));
				categoryList.appendChild(a);
				categoryList.appendChild(document.createElement("br"));
			}
		}
	}

}

function selectFiles(categoryName, addToHistory)
{
	if (addToHistory)
		addHistory("category~" + categoryName);

	removeThumbnail();	
	var payload = "category=" + categoryName;
	var url = "http://ajaxref.com/ch8/photoviewer.php";
	
	sendRequest(url, payload, categoryName, handlePhotosResponse);
		
	return false;
}

function selectCategories()
{
	var url = "http://ajaxref.com/ch8/photoviewer.php";
	sendRequest(url, "", null, handleCategoriesResponse);

}
