<?php

header("Cache-Control: no-cache");
header("Pragma: no-cache");
header("Content-Type: application/json");

$zip = htmlentities(substr(urldecode($_GET['zip']),0,16));

$url =  "http://zipinfo.com/cgi-local/zipsrch.exe?zip=$zip";
$fullfile = file_get_contents($url);

// Get HTTP status
list($version,$status,$msg) = explode(' ',$http_response_header[0], 3);

if ($status != 200)
    $matches = array("Your REST call to the Web Service returned an error status of " . $status);

else
{
	//check to see if it's valid
	if (strpos($fullfile, "is not currently assigned")) 
		$matches = array("The Zip Code $zip is NOT a valid US Zip Code");
	else 
		preg_match('/<th>ZIP<BR>Code<\/th><\/tr><tr><td align=center>([^<]+)<\/font><\/td><td align=center>([^<]+)/', $fullfile, $matches);
}

include("JSON.php");
$json = new Services_JSON();
print $json->encode($matches);

?>
