function encodeValue(val)
{
 var encodedVal;

 if (!encodeURIComponent)
 {
     encodedVal = escape(val);
     /* fix the omissions */
	 encodedVal = encodedVal.replace(/@/g, '%40');
	 encodedVal = encodedVal.replace(/\//g, '%2F');
	 encodedVal = encodedVal.replace(/\+/g, '%2B');
 }
 else
 {
     encodedVal = encodeURIComponent(val);
	 /* fix the omissions */
	 encodedVal = encodedVal.replace(/~/g, '%7E');
	 encodedVal = encodedVal.replace(/!/g, '%21');
	 encodedVal = encodedVal.replace(/\(/g, '%28');
	 encodedVal = encodedVal.replace(/\)/g, '%29');
	 encodedVal = encodedVal.replace(/'/g, '%27');
 }

 /* clean up the spaces and return */
 return encodedVal.replace(/\%20/g,'+'); 
}

function decodeValue(val)
{
 var encodedVal;

 if (!encodeURIComponent)
 {
	 /* fix the omissions */
	 encodedVal = val.replace(/\%40/g, '@');
	 encodedVal = encodedVal.replace(/\%2F/g, '/');
	 encodedVal = encodedVal.replace(/\%2B/g, '+');
     encodedVal = unescape(encodedVal);
     
 }
 else
 {
     /* fix the omissions */
	 encodedVal = val.replace(/\%7E/g, '~');
	 encodedVal = encodedVal.replace(/\%21/g, '!');
	 encodedVal = encodedVal.replace(/\%28/g, '(');
	 encodedVal = encodedVal.replace(/\%29/g, ')');
	 encodedVal = encodedVal.replace(/\%27/g, '\'');
	 encodedVal = decodeURIComponent(encodedVal);
	 
 }

 /* clean up the spaces and return */
 return encodedVal.replace(/\+/g,'%20'); 
}

function tickTimer(start, timeDiv) 
{
   var cur = new Date();
   var timeDiff = cur.getTime() - start.getTime();
   var dateDiff = new Date();
   dateDiff.setTime(timeDiff);

   var second = dateDiff.getSeconds();
   second = (second < 10) ? "0" + second : second;

   timeDiv.innerHTML = dateDiff.getMinutes() + ":" + second;
}

function Start() {
   tStart   = new Date();

   document.theTimer.theTime.value = "00:00";

   timerID  = setTimeout("UpdateTimer()", 1000);
}