var currenthash = "";
var interval = null;

function initBookmark()
{
	if(!(navigator.userAgent.toLowerCase().indexOf("msie")>-1))
	{
		checkHash();
		interval = setInterval("checkHash();", 1000);
	}
	else 
	{
		var iframe = document.getElementById("ieFix");
		if (window.location.hash && window.location.hash.substring(1) != currenthash)
        	iframe.src = "backbutton.php?hash=" + window.location.hash.substring(1);
		else
			iframe.src = "backbutton.php?hash=";
	}

}

function addHistory(key)
{
	currenthash = key;
	key = encodeValue(key);
	window.location.hash = key;
	
	if(navigator.userAgent.toLowerCase().indexOf("msie")>-1)
	{
		var iframe = document.getElementById("ieFix");
        iframe.src = "backbutton.php?hash=" + key;
	}	
}	

function checkHashIE(key)
{
	if (key != currenthash)
  	{
		currenthash = key;
    	window.location.hash = encodeValue(key);
		updateState();
  	}
}

function checkHash()
{
  	if ((window.location.hash != "#" + currenthash) && window.location.hash != currenthash)
    {
        currenthash = window.location.hash.substring(1);
        updateState();
    }
}

function updateState()
{
	if (currenthash == "" || currenthash == "noimage")
	{
		removeDialog(false);
		removeThumbnail();
		removeFiles();
	}
	else if (currenthash.match(/category~(\w+)/))
	{
		removeDialog(false);
		removeThumbnail();
  		selectFiles(RegExp.$1, false);
	}
	else if (currenthash.match(/thumbnail~([^~]+)~([\w]+)/))
	{
		var thumbnail = RegExp.$1;
		var category = RegExp.$2;
		removeDialog(false);
		selectFiles(category);
		showThumbnail(thumbnail,category, false);
	}
	else if (currenthash.match(/lightbox~([^~]+)~([^~]+)~([\w]+)/))
	{
		var lightbox = RegExp.$1;
		var thumbnail = RegExp.$2;
		var category = RegExp.$3;
		
		selectFiles(category);
		showThumbnail(thumbnail, category, false);
		createDialog(lightbox, thumbnail, category, false);
	}
}

window.onunload = function()
{
	clearInterval(interval);
}