<?php

header("Cache-Control: no-cache");
header("Pragma: no-cache");

$maxlevel = 3;
$totalWidth = 600;
$totalHeight = 400;

$level = $_GET["level"];
$picture = $_GET["picture"];
$action = $_GET["action"];

if (isset($_GET["x"]))
	$x = $_GET["x"];
	
if (isset($_GET["y"]))
	$y = $_GET["y"];

$totalSiblings = 1;
for ($i=1;$i<$level;$i++)
	$totalSiblings = $totalSiblings * 4;
	
switch($action)
{
	case 1:
	//zoom in
	if ($level < $maxlevel)
	{
		$level++;	
		$totalSiblings= 4;
		$rows = sqrt($totalSiblings);
		$regionWidth = $totalWidth/$rows;
		$regionHeight = $totalHeight/$rows;
		$found = 0;
		for ($i=0;$i<$rows;$i++)
		{
			for ($j=0;$j<$rows;$j++)
			{
				$startWidth=$regionWidth *$j;
				$startHeight=$regionHeight*$i;
				$endWidth = $startWidth + $regionWidth;
				$endHeight = $startHeight + $regionHeight;
				if ($x >= $startWidth && $x<=$endWidth && $y >= $startHeight && $y <= $endHeight)
				{
					$found = 1;
					$pictureIndex = ($i*$rows)+$j + 1;
					$picture = lookupPicture($picture, $level, $pictureIndex);
					break;
				}	
			}
			
			if ($found)
				break;
		} 
	}		
	break;
	case 2:
	//zoom out ... hard coded...yuck..couldn't figure out pattern though...will still think on it.
	if ($level > 1)
	{
		$level--;
		if ($level == 1)
			$picture = 1;
		else
		{	
			$groups = sqrt($totalSiblings);
			$column = $picture %$groups;
			if ($column == 0)
				$column =4;
				
			$row = ceil($picture/$groups);
			if ($row <= ($groups/2))
			{
				if ($column <= ($groups/2))
					$picture = 1;
				else
					$picture = 2;
			}
			else 
			{	
		 		if ($column <= ($groups/2))
					$picture = 3;
				else
					$picture = 4;
			}
		}
	}
	break;
	case 3:
	//pan up
	$move = sqrt($totalSiblings);
	if ($picture - $move > 0)
		$picture = $picture - $move;
	break;
	case 4:
	//pan right
	if ($picture%$totalSiblings != 0)
		$picture++;
	break;	
	case 5:
	//pan down
	$move = sqrt($totalSiblings);
	if ($picture + $move <= $totalSiblings)
		$picture = $picture + $move;
	break;
	break;
	case 6:
	//pan left
	if (($picture-1)%$totalSiblings != 0)
		$picture--;
	break;
}

print "http://ajaxref.com/ch8/ajaxviewer/images/" . $level . "-" . $picture . ".jpg";


//zoom in ... hard coded...yuck..couldn't figure out pattern though...will still think on it.
function lookupPicture($parent, $level, $pictureIndex)
{
	if ($level == 2)
		$picture =  $pictureIndex;
	else
	{
		switch($parent)
		{
			case 1:
				if ($pictureIndex == 1)$picture = 1;
				else if ($pictureIndex == 2)$picture = 2;
				else if ($pictureIndex == 3)$picture = 5;
				else if ($pictureIndex == 4)$picture = 6;
			break;	
			case 2:
				if ($pictureIndex == 1)$picture = 3;
				else if ($pictureIndex == 2)$picture = 4;
				else if ($pictureIndex == 3)$picture = 7;
				else if ($pictureIndex == 4)$picture = 8;
			break;	
			case 3:
				if ($pictureIndex == 1)$picture = 9;
				else if ($pictureIndex == 2)$picture = 10;
				else if ($pictureIndex == 3)$picture = 13;
				else if ($pictureIndex == 4)$picture = 14;
			break;	
			case 4:
				if ($pictureIndex == 1)$picture = 11;
				else if ($pictureIndex == 2)$picture = 12;
				else if ($pictureIndex == 3)$picture = 15;
				else if ($pictureIndex == 4)$picture = 16;
			break;	
		}
	}
	
	return $picture;	
	
}

?>